View Issue Details

IDProjectCategoryView StatusLast Update
0004217unrealmodule apipublic2016-01-30 10:15
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version3.4-alpha1 
Target VersionFixed in Version4.0.0 
Summary0004217: Unreal 3.4: Modulize user/channel modes
DescriptionAs discussed with nenolod, this is one of the main goals of 3.4 as far as I'm concerned:

UnrealIRCd currently has a lot of modularity to offer, yet many (almost all) of the channel modes are built in the core. That's a shame, as it defeats the modular approach.

We should move as many modes as possible to modules.
Some are really easy and require almost no effort.
For others you'll have to introduce some new hook types, that too is perfectly doable.
And yes, a few, are too hard to modularize.

Side note: RFC1459 modes don't have to be in modules (per se), it's more about the rest.

I already started on this once in 3.3 (that work isn't useable anymore, so has to be redone) and it's quite possible, even for more complex modes.

This issue doesn't have to be a one-man job, of course.
TagsNo tags attached.
3rd party modules

Relationships

related to 0004110 resolvedsyzop Extended user information 

Activities

syzop

2013-05-26 10:57

administrator   ~0017684

Presumably, for some modes (not that many though!), this is related to storing extended user information 0004110.

syzop

2014-06-01 09:48

administrator   ~0018157

I've moved a number of channel modes to modules, the remaining ones either stay in the core or are very simple to move to a module (eg +V).

This needs to be done for alpha1.

ShawnSmith

2014-06-02 03:44

reporter   ~0018159

With the modulisation of modes one thing I would like to see is the oper-related usermodes removed in favor of handling this internally, the way other ircds do.

syzop

2016-01-30 10:15

administrator   ~0019078

Hm, this bug shouldn't be open anymore, as UnrealIRCd 4 has covered this.. mostly.

Issue History

Date Modified Username Field Change
2013-05-26 10:52 syzop New Issue
2013-05-26 10:54 syzop Status new => acknowledged
2013-05-26 10:54 syzop Product Version 4.0-devel => 3.4-alpha1
2013-05-26 10:56 syzop Relationship added related to 0004110
2013-05-26 10:57 syzop Note Added: 0017684
2014-06-01 09:48 syzop Note Added: 0018157
2014-06-02 03:44 ShawnSmith Note Added: 0018159
2016-01-30 10:15 syzop Note Added: 0019078
2016-01-30 10:15 syzop Status acknowledged => closed
2016-01-30 10:15 syzop Assigned To => syzop
2016-01-30 10:15 syzop Resolution open => fixed
2016-01-30 10:15 syzop Fixed in Version => 4.0.0
2017-01-06 15:48 syzop Category module => module api